--- ./src/ngircd/conn-ssl.c
+++ ./src/ngircd/conn-ssl.c
@@ -303,6 +303,13 @@ ConnSSL_InitLibrary( void )
        if (!ConnSSL_LoadServerKey_openssl(newctx))
                goto out;

+       if(SSL_CTX_set_cipher_list(newctx, "ALL:!aNULL:!ADH:!eNULL:!LOW:!EXP:RC4+RSA:+HIGH:+MEDIUM") == 0 ){
+               Log(LOG_ERR, "Failed to apply CipherList=%s", "ALL:!aNULL:!ADH:!eNULL:!LOW:!EXP:RC4+RSA:+HIGH:+MEDIUM");
+               return false;
+       } else {
+               Log(LOG_INFO, "Successfully applied SSL CipherList=%s", "ALL:!aNULL:!ADH:!eNULL:!LOW:!EXP:RC4+RSA:+HIGH:+MEDIUM");
+       }
+
        SSL_CTX_set_options(newctx, SSL_OP_SINGLE_DH_USE|SSL_OP_NO_SSLv2);
        SSL_CTX_set_mode(newctx, SSL_MODE_ENABLE_PARTIAL_WRITE);
        SSL_CTX_set_verify(newctx, SSL_VERIFY_PEER|SSL_VERIFY_CLIENT_ONCE, Verify_openssl);


--- ./src/ngircd/ngircd.c
+++ ./src/ngircd/ngircd.c
@@ -673,9 +673,10 @@ NGIRCd_Init(bool NGIRCd_NoDaemon)
        }

        /* SSL initialization */
-       if (!ConnSSL_InitLibrary())
-               Log(LOG_WARNING,
-                   "Error during SSL initialization, continuing without SSL ...");
+       if (!ConnSSL_InitLibrary()) {
+               Log(LOG_WARNING, "Error during SSL initialization...");
+               goto out;
+       }

        /* Change root */
        if (Conf_Chroot[0]) {

